Package pyplusplus :: Package decl_wrappers :: Module algorithm

# Module algorithm

source code

Contains few unrelated algorithms, which works on code creators tree

Classes
registration_order class-namespace, introduce few functions, which deals with functions registration order problem: http://www.language-binding.net/pyplusplus/documentation/functions/registration_order.html

Functions

creators_affect_on_me(me) Find all relevant code creators, which influennce on code generated by "me". | source code

create_valid_name(name) Create valid name\Python identifier from a string | source code

create_identifier(creator, full_name) Return new full name, which takes into account namespace aliases | source code

Function Details

### creators_affect_on_me(me)

source code

    Find all relevant code creators, which influennce on code generated by "me".

    C++ allows to define aliases to namespaces. Py++ allows user to define aliases
    to the namespace and will take this aliases into account when it generates
    the code.

    Example:

      [a b c d e f g]
             |
             + [k l m]
                  |
                  + [y x] <-- we are here ( x )

    return value is: [y,l,k,d,c,b,a]

### create_valid_name(name)

source code

Create valid name\Python identifier from a string

As input this functions takes valid C++ name\identifier and replaces all invalid characters.

Invalid characters are introduced by a template instantiation.